MLR = "moving_left_right"
MU = "moving_Uown"
MD = "moving_down"

function love.load()
  love.graphics.setDefaultFilter("nearest", "nearest")
  player = {x = 40, y = 100, state = MLR}
  FRimgs = {love.graphics.newImage("f1.png"), love.graphics.newImage("f2.png"), love.graphics.newImage("f3.png")}
  Uimgs = {love.graphics.newImage("d1.png"), love.graphics.newImage("d2.png"), love.graphics.newImage("d3.png")}
  Dimgs = {love.graphics.newImage("u1.png"), love.graphics.newImage("u2.png"), love.graphics.newImage("u3.png")}
  animationTimer = 0.09
  flip = 8
  moving = false
  LRactFrame = 1
  UactFrame = 1
end

function love.update(dt)
  movement(10, dt)
end

function movement(vel, dt)
  moving = false
  if love.keyboard.isDown("left") then
    player.state = MLR
    moving = true
    player.x = player.x - vel
    playLRAnimation(3, dt)
    flip = -8
  end
  if love.keyboard.isDown("right") then
    player.state = MLR
    moving = true
    player.x = player.x + vel
    playLRAnimation(3, dt)
    flip = 8
  end
  if love.keyboard.isDown("up") then
    player.state = MU
    moving = true
    player.y = player.y - vel
    playUanimation(3, dt)
  end
  if love.keyboard.isDown("down") then
    player.state = MD
    moving = true
    player.y = player.y + vel
    playUanimation(3, dt)
  end
  if not (love.keyboard.isDown("left") or love.keyboard.isDown("right") or love.keyboard.isDown("up") or love.keyboard.isDown("down")) then
    moving = false
  end
  if not moving then
    LRactFrame = 1
    UactFrame = 1
  end
end

function playLRAnimation(frameMax, dt)
  animationTimer = animationTimer - dt
  if animationTimer <= 0 then
    LRactFrame = LRactFrame + 1
    animationTimer = 0.09
  end
  if LRactFrame > frameMax then
    LRactFrame = 1
  end
end

function playUanimation(frameMax, dt)
  animationTimer = animationTimer - dt
  if animationTimer <= 0 then
    UactFrame = UactFrame + 1
    animationTimer = 0.09
  end
  if UactFrame > frameMax then
    UactFrame = 1
  end
end

function love.draw()
  love.graphics.setBackgroundColor(0.23, 0.43, 0.10)
  if player.state == MLR then
    love.graphics.draw(FRimgs[LRactFrame], player.x, player.y, 0, flip, 8, FRimgs[LRactFrame]:getWidth() / 2, FRimgs[LRactFrame]:getHeight() / 2)
  end
  if player.state == MU then
    love.graphics.draw(Uimgs[UactFrame], player.x, player.y, 0, 8, 8, Uimgs[UactFrame]:getWidth() / 2, Uimgs[UactFrame]:getHeight() / 2)
  end
  if player.state == MD then
    love.graphics.draw(Dimgs[UactFrame], player.x, player.y, 0, 8, 8, Dimgs[UactFrame]:getWidth() / 2, Dimgs[UactFrame]:getHeight() / 2)
  end
end
